<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateTicketsTable extends Migration {

	public function up()
	{
		Schema::create('tickets', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->softDeletes();
			$table->integer('receiver_id')->unsigned();
			$table->integer('receiver_wallet_id')->unsigned();
			$table->integer('client_id')->unsigned();
			$table->integer('ticket_status_id')->unsigned();
			$table->integer('parcel');
			$table->float('parcel_value');
			$table->float('total_debit');
			$table->date('due_date');
			$table->date('contract_date');
			$table->json('additional_info')->nullable();
			$table->string('crm_reference');
		});
	}

	public function down()
	{
		Schema::drop('tickets');
	}
}